Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.content
Class Document

    java.lang.Object
      com.servingxml.components.content.AbstractContent
          com.servingxml.components.content.Document

All Implemented Interfaces:
  Content, Stringable

    public class Document

extends AbstractContent
implements Content

A `Document` instance may be used to obtain objects that supply XML content as an input stream.

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.components.string.Stringable
`Stringable.EmptyStringable`

Field Summary

Fields inherited from interface com.servingxml.components.content.Content
`EMPTY_ARRAY`

Fields inherited from interface com.servingxml.components.string.Stringable
`EMPTY`

Constructor Summary
`Document(OutputPropertyFactory[] defaultOutputProperties)`
`Document(SaxSourceFactory saxSourceFactory, OutputPropertyFactory[] defaultOutputProperties)`

Method Summary
`void` | `appendToXmlPipeline(ServiceContext context, Flow flow, XmlFilterChain pipeline)`
`SaxSource` | `createSaxSource(ServiceContext context, Flow flow)`
`XmlPipeline` | `createXmlPipeline(ServiceContext context, Flow flow)`

Methods inherited from class com.servingxml.components.content.AbstractContent
`createDefaultOutputProperties, createString, execute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.servingxml.components.string.Stringable
`createString`

Constructor Detail

### Document

    public Document(OutputPropertyFactory[] defaultOutputProperties)

### Document

    public Document(SaxSourceFactory saxSourceFactory,
                    OutputPropertyFactory[] defaultOutputProperties)

Method Detail

### createSaxSource

    public SaxSource createSaxSource(ServiceContext context,
                                     Flow flow)

  Specified by:
    `createSaxSource` in interface `Content`

### appendToXmlPipeline

    public void appendToXmlPipeline(ServiceContext context,
                                    Flow flow,
                                    XmlFilterChain pipeline)

  Specified by:
    `appendToXmlPipeline` in interface `Content`

### createXmlPipeline

    public XmlPipeline createXmlPipeline(ServiceContext context,
                                         Flow flow)

  Specified by:
    `createXmlPipeline` in interface `Content`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD